Gentoo Archives: gentoo-commits

From: Stefan Strogin <steils@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/avidemux/files/, media-video/avidemux/
Date: Wed, 14 Aug 2019 02:24:18
Message-Id: 1565747992.f23642e1c7e3666eb9995258cdb7c705dd998ec6.steils@gentoo
commit:     f23642e1c7e3666eb9995258cdb7c705dd998ec6
Author:     Stefan Strogin <steils <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 14 01:26:35 2019 +0000
Commit:     Stefan Strogin <steils <AT> gentoo <DOT> org>
CommitDate: Wed Aug 14 01:59:52 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f23642e1

media-video/avidemux: bump version to 2.7.3

Closes: https://bugs.gentoo.org/657386
Closes: https://bugs.gentoo.org/646796
Package-Manager: Portage-2.3.71, Repoman-2.3.17
Signed-off-by: Stefan Strogin <steils <AT> gentoo.org>

 media-video/avidemux/Manifest                      |   1 +
 media-video/avidemux/avidemux-2.7.3.ebuild         | 141 +++++++++++++++++++++
 .../avidemux/files/avidemux-2.7.3-desktop.patch    |  20 +++
 3 files changed, 162 insertions(+)

diff --git a/media-video/avidemux/Manifest b/media-video/avidemux/Manifest
index 281d961cf75..e9ad4687cc9 100644
--- a/media-video/avidemux/Manifest
+++ b/media-video/avidemux/Manifest
@@ -1 +1,2 @@
+DIST 2.7.3.tar.gz 23772654 BLAKE2B f946c267140bc8aebda2ce027ed8cb7c84a98a401255d3e0cdaf7498680e8bd9c78a33c122cb177d397ed2dd6bc3c29d7508578028c2964c2897279bf860b62d SHA512 d7761de1c40de1b824efbcf24173ea738a2e0ba7fa41cefa09e7bac3ec97f3af4b04201e36f9de50ade2b09e394aa99ed1d4907f90bb132f9896e8f1b5e82d7a
 DIST avidemux_2.7.0.tar.gz 21474504 BLAKE2B c6e55a0b5220d6d3746fa06162bf11253145fd28f2f6f744702d5e0342fba85e546a28883eb847139eadd34c94037ebc7d68f5576e7505a85288556468d14b96 SHA512 7c92213d3bd2849dbdb5a1aff2acd6da231fd76c561b756fbf4a1d5a41e9705d609d7a35b6ca6b77ceb3bf5138f861cd24ed16d8fcec4fd713f09a2ff07e9015

diff --git a/media-video/avidemux/avidemux-2.7.3.ebuild b/media-video/avidemux/avidemux-2.7.3.ebuild
new file mode 100644
index 00000000000..753377cf0f3
--- /dev/null
+++ b/media-video/avidemux/avidemux-2.7.3.ebuild
@@ -0,0 +1,141 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+CMAKE_MAKEFILE_GENERATOR="emake"
+
+inherit cmake-utils desktop qmake-utils xdg
+
+DESCRIPTION="Video editor designed for simple cutting, filtering and encoding tasks"
+HOMEPAGE="http://fixounet.free.fr/avidemux"
+SRC_URI="https://github.com/mean00/avidemux2/archive/${PV}.tar.gz"
+
+# Multiple licenses because of all the bundled stuff.
+LICENSE="GPL-1 GPL-2 MIT PSF-2 public-domain"
+SLOT="2.7"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug nls nvenc opengl qt5 sdl vaapi vdpau xv"
+
+COMMON_DEPEND="
+	~media-libs/avidemux-core-${PV}:${SLOT}[nls?,sdl?,vaapi?,vdpau?,xv?,nvenc?]
+	nvenc? ( amd64? ( media-video/nvidia_video_sdk:0 ) )
+	opengl? ( virtual/opengl:0 )
+	qt5? (
+		dev-qt/qtcore:5
+		dev-qt/qtgui:5
+		dev-qt/qtnetwork:5
+		dev-qt/qtopengl:5
+		dev-qt/qtwidgets:5
+	)
+	vaapi? ( x11-libs/libva:0= )
+"
+DEPEND="${COMMON_DEPEND}
+	qt5? ( dev-qt/linguist-tools:5 )
+"
+RDEPEND="${COMMON_DEPEND}
+	nls? ( virtual/libintl:0 )
+	!<media-video/avidemux-${PV}
+"
+PDEPEND="~media-libs/avidemux-plugins-${PV}:${SLOT}[opengl?,qt5?]"
+
+S="${WORKDIR}/avidemux2-${PV}"
+
+src_prepare() {
+	eapply "${FILESDIR}"/${P}-desktop.patch
+
+	processes="buildCli:avidemux/cli"
+	if use qt5 ; then
+		processes+=" buildQt4:avidemux/qt4"
+	fi
+
+	for process in ${processes} ; do
+		CMAKE_USE_DIR="${S}"/${process#*:} cmake-utils_src_prepare
+	done
+
+	# Fix icon name -> avidemux-2.7
+	sed -i -e "/^Icon/ s:${PN}\.png:${PN}-${SLOT}:" appImage/${PN}.desktop || \
+		die "Icon name fix failed."
+
+	# The desktop file is broken. It uses avidemux2 instead of avidemux3
+	# so it will actually launch avidemux-2.7 if it is installed.
+	sed -i -e "/^Exec/ s:${PN}2:${PN}3:" appImage/${PN}.desktop || \
+		die "Desktop file fix failed."
+	if use qt5; then
+		sed -i -re '/^Exec/ s:(avidemux3_)gtk:\1qt5:' appImage/${PN}.desktop || \
+			die "Desktop file fix failed."
+	fi
+
+	# QA warnings: missing trailing ';' and 'Application' is deprecated.
+	sed -i -e 's/Application;AudioVideo/AudioVideo;/g' appImage/${PN}.desktop || \
+		die "Desktop file fix failed."
+
+	# Now rename the desktop file to not collide with 2.6.
+	mv appImage/${PN}.desktop ${PN}-${SLOT}.desktop || die "Collision rename failed."
+
+	# Remove "Build Option" dialog because it doesn't reflect
+	# what the GUI can or has been built with. (Bug #463628)
+	sed -i -e '/Build Option/d' avidemux/common/ADM_commonUI/myOwnMenu.h || \
+		die "Couldn't remove \"Build Option\" dialog."
+}
+
+src_configure() {
+	# See bug 432322.
+	use x86 && replace-flags -O0 -O1
+
+	# The build relies on an avidemux-core header that uses 'nullptr'
+	# which is from >=C++11. Let's use the GCC-6 default C++ dialect.
+	append-cxxflags -std=c++14
+
+	local mycmakeargs=(
+		-DGETTEXT="$(usex nls)"
+		-DSDL="$(usex sdl)"
+		-DLibVA="$(usex vaapi)"
+		-DVDPAU="$(usex vdpau)"
+		-DXVIDEO="$(usex xv)"
+	)
+
+	if use qt5 ; then
+		mycmakeargs+=(
+			-DENABLE_QT5="$(usex qt5)"
+			-DLRELEASE_EXECUTABLE="$(qt5_get_bindir)/lrelease"
+		)
+	fi
+
+	if use debug ; then
+		mycmakeargs+=( -DVERBOSE=1 -DADM_DEBUG=1 )
+	fi
+
+	for process in ${processes} ; do
+		local build="${WORKDIR}/${P}_build/${process%%:*}"
+		CMAKE_USE_DIR="${S}"/${process#*:} BUILD_DIR="${build}" cmake-utils_src_configure
+	done
+}
+
+src_compile() {
+	for process in ${processes} ; do
+		local build="${WORKDIR}/${P}_build/${process%%:*}"
+		BUILD_DIR="${build}" cmake-utils_src_compile
+	done
+}
+
+src_test() {
+	for process in ${processes} ; do
+		local build="${WORKDIR}/${P}_build/${process%%:*}"
+		BUILD_DIR="${build}" cmake-utils_src_test
+	done
+}
+
+src_install() {
+	for process in ${processes} ; do
+		local build="${WORKDIR}/${P}_build/${process%%:*}"
+		BUILD_DIR="${build}" cmake-utils_src_install
+	done
+
+	cd "${S}" || die "Can't enter source folder."
+	newicon ${PN}_icon.png ${PN}-${SLOT}.png
+
+	if use qt5 ; then
+		domenu ${PN}-${SLOT}.desktop
+	fi
+}

diff --git a/media-video/avidemux/files/avidemux-2.7.3-desktop.patch b/media-video/avidemux/files/avidemux-2.7.3-desktop.patch
new file mode 100644
index 00000000000..51416d27495
--- /dev/null
+++ b/media-video/avidemux/files/avidemux-2.7.3-desktop.patch
@@ -0,0 +1,20 @@
+From 4ea6b2e4199eddef7748de4fd58c1f4d8bfbedd2 Mon Sep 17 00:00:00 2001
+From: eumagga0x2a <eumagga0x2a@××××××××××××××××××××.com>
+Date: Sun, 4 Aug 2019 15:34:19 +0800
+Subject: [PATCH] [appImage] Add missing Type entry to the .desktop file
+
+Upstream-Status: Accepted
+[https://github.com/mean00/avidemux2/commit/4ea6b2e4199eddef7748de4fd58c1f4d8bfbedd2]
+---
+ appImage/avidemux.desktop | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/appImage/avidemux.desktop b/appImage/avidemux.desktop
+index 3006e4335..d017ff309 100644
+--- a/appImage/avidemux.desktop
++++ b/appImage/avidemux.desktop
+@@ -2,3 +2,4 @@
+ Name=AVIDEMUX
+ Exec=avidemux3_portable
+ Icon=avidemux.png
++Type=Application